import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 12.5.2011
  * @author
  */

public class Gui extends JFrame {
  // Anfang Variablen
  private JMenuBar jMenuBar = new JMenuBar();
  private JMenu jDateiMenu = new JMenu("Datei");
  private JMenuItem DateiJMenuItem1 = new JMenuItem("Oeffnen");
  private JMenuItem DateiJMenuItem2 = new JMenuItem("Speichern");
  private JMenuItem DateiJMenuItem3 = new JMenuItem("Beenden");
  private JMenu jBearbeitenMenu = new JMenu("Bearbeiten");
  private JMenuItem BearbeitenJMenuItem1 = new JMenuItem("Tisch");
  private JMenuItem BearbeitenJMenuItem2 = new JMenuItem("Stuhl");
  private JMenuItem BearbeitenJMenuItem3 = new JMenuItem("Sessel");
  private JMenuItem BearbeitenJMenuItem5 = new JMenuItem("Verschieben");
  private JMenuItem BearbeitenJMenuItem6 = new JMenuItem("Drehen");
  private JButton jButton1 = new JButton();
  private JTextField jTextField1 = new JTextField();
  // Ende Variablen

  public Gui(String title) {
    // Frame-Initialisierung
    super(title);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent evt) { System.exit(0); }
    });
    int frameWidth = 300;
    int frameHeight = 300;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2 ;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    setJMenuBar(jMenuBar);
    jMenuBar.add(jDateiMenu);
    DateiJMenuItem1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        DateiJMenuItem1ActionPerformed(evt); } });
    jDateiMenu.add(DateiJMenuItem1);

    DateiJMenuItem2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        DateiJMenuItem2ActionPerformed(evt); } });
    jDateiMenu.add(DateiJMenuItem2);

    DateiJMenuItem3.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        DateiJMenuItem3ActionPerformed(evt); } });
    jDateiMenu.add(DateiJMenuItem3);

    jMenuBar.add(jBearbeitenMenu);
    BearbeitenJMenuItem1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        BearbeitenJMenuItem1ActionPerformed(evt); } });
    jBearbeitenMenu.add(BearbeitenJMenuItem1);

    BearbeitenJMenuItem2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        BearbeitenJMenuItem2ActionPerformed(evt); } });
    jBearbeitenMenu.add(BearbeitenJMenuItem2);

    BearbeitenJMenuItem3.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        BearbeitenJMenuItem3ActionPerformed(evt); } });
    jBearbeitenMenu.add(BearbeitenJMenuItem3);

    jBearbeitenMenu.addSeparator();
    BearbeitenJMenuItem5.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        BearbeitenJMenuItem5ActionPerformed(evt); } });
    jBearbeitenMenu.add(BearbeitenJMenuItem5);

    BearbeitenJMenuItem6.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        BearbeitenJMenuItem6ActionPerformed(evt); } });
    jBearbeitenMenu.add(BearbeitenJMenuItem6);

    jButton1.setBounds(32, 32, 75, 25);
    jButton1.setText("naechster");
    cp.add(jButton1);
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1ActionPerformed(evt);
      }
    });

    jTextField1.setBounds(128, 32, 121, 24);
    jTextField1.setText("10");
    cp.add(jTextField1);
    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Ereignisprozeduren
  public void DateiJMenuItem1ActionPerformed(ActionEvent evt) {

  }
  public void DateiJMenuItem2ActionPerformed(ActionEvent evt) {

  }
  public void DateiJMenuItem3ActionPerformed(ActionEvent evt) {

  }
  public void BearbeitenJMenuItem1ActionPerformed(ActionEvent evt) {
    Controller.gibController().erzeugeMoebel("Tisch");
  }
  public void BearbeitenJMenuItem2ActionPerformed(ActionEvent evt) {
    Controller.gibController().erzeugeMoebel("Stuhl");
  }
  public void BearbeitenJMenuItem3ActionPerformed(ActionEvent evt) {
    Controller.gibController().erzeugeMoebel("Sessel");
  }
  public void BearbeitenJMenuItem5ActionPerformed(ActionEvent evt) {
    try{
      Controller.gibController().bewegeHorizontal(Integer.parseInt(jTextField1.getText()));
    } catch (NumberFormatException e) {

    }

  }
  public void BearbeitenJMenuItem6ActionPerformed(ActionEvent evt) {

  }
  public void jButton1ActionPerformed(ActionEvent evt) {
    Controller.gibController().naechster();
  }

  // Ende Ereignisprozeduren

  public static void main(String[] args) {
    new Gui("Gui");
  }
}
